/*! @file

    @id $
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#include <string>

namespace NAMESPACE {
  std::string package_string() {
    return PACKAGE_STRING;
  }
  std::string package_name() {
    return PACKAGE_NAME;
  }
  std::string version() {
    return PACKAGE_VERSION;
  }
  std::string build_date() {
    return BUILD_DATE;
  }
  std::string author() {
    return AUTHOR;
  }
  std::string description() {
    return DESCRIPTION;
  }
  std::string readme() {
    return README;
  }
  std::string logo() {
    return PACKAGE_LOGO;
  }
  std::string icon() {
    return PACKAGE_ICON;
  }
  const std::string WHAT("#(@) " PACKAGE_STRING);
  const std::string IDENT("$Id: " PACKAGE_STRING);
}
